import { useState, useEffect } from 'react'
import { useSelector } from 'react-redux'
import { useDidShow,useRouter } from '@tarojs/taro'
import { ScrollView } from '@tarojs/components'
import { queryActivityList, getActNewList } from '@/services/activity'
import Disclaimer from '@/components/Disclaimer'

import ActivityListItem from '../components/ActivityListItem/index'

import './index.scss'

export default function MyCollectForActivity (props) {
 const router=useRouter()

   const { type } = router.params;
  const city = useSelector(state => state.city)
 
  const [PageList, setPageList] = useState([])
  const [IsPull, setPull] = useState(false)
  const [PullTimer, setPullTimer] = useState(null)

  const PageRefresh = () => { // 页面下拉刷新回调
    setPull(true)
  }

  useEffect(() => { // 下拉刷新触发
    if (IsPull) {
      clearTimeout(PullTimer)
      setPullTimer(setTimeout(() => {
        setPull(false)
      }, 2000))
    }
  }, [IsPull])

  

 const getList = (params) => {
  queryActivityList({...params,type,cityId: city.curCity.id}).then((res)=>{
    setPageList(res.list)
  })
  }
  useEffect(()=>{
    if(city?.curCity?.id){
      getList({page :0, pageSize : 10})
    }
   
  },[city])
  // useDidShow(() => {
  //   getList({page :0, pageSize : 10})
  // })

 

  return (
    <view className='components activityList'>
      <ScrollView scroll-y refresher-enabled refresher-triggered={IsPull} onrefresherrefresh={PageRefresh} refresher-background='#f8f8f8'>
        <view className='PageContent'>
          <view className='List'>
            {
              PageList.map((item, index) => (
                <ActivityListItem data={item} key={`ActivityListItem-${index}`}></ActivityListItem>
              ))
            }
          </view>

          {/* bottom */}
          <view className='PageBottom'>
            <text>已经到底了~</text>
          </view>
        </view>

        <Disclaimer />
      </ScrollView>
    </view>
  )
}
