import React, { useState, useEffect } from 'react'
import withLayout from '@/layout'
import './index.scss'
import { ScrollView } from '@tarojs/components'
import '@/assets/css/iconfont.css'
import NewsListItem from '../components/NewsListItem/index'
import { useDidShow } from '@tarojs/taro'
import { queryNewsList } from '@/services/news'

export default withLayout((props) => {

  // const [PageProps] = useState(props)
  const [PageList, setPageList] = useState([])
  const [IsPull, setPull] = useState(false)
  const [PullTimer, setPullTimer] = useState(null)

  const PageRefresh = () => { // 页面下拉刷新回调
    setPull(true)
  }

  useEffect(() => { // 下拉刷新触发
    if (IsPull) {
      clearTimeout(PullTimer)
      setPullTimer(setTimeout(() => {
        setPull(false)
      }, 2000))
    }
  }, [IsPull])

 
  // componentDidShow() {
  //   // // this.onPullDownRefresh()
  //   // console.log('----', this)
  //   const pageSize = (Taro.getStorageSync('newsPageIndex') || 1) * 10
  //   loadData(1, pageSize)
  // }

  // loadList(pageNumber, pageSize = 10) {
  //   const { curCity: { id: cityId } } = this.props
  //   const payload = { pageSize, pageNumber }

  //   const { params: { buildingId, from } } = this.$router
  //   if (cityId) {
  //     payload.cityId = cityId
  //   }
  //   // 从个人中心过来
  //   console.log(this.router, "from")
  //   if (from === 'mine') {
  //     payload.mine = true
  //   }
  //   // // 从项目详情过来
  //   if (buildingId) {
  //     payload.buildingId = buildingId
  //   }
  //   // return queryActivityList(payload)
  //   return queryNewsList(payload)
  // }

  const loadData = (params) => {
    // const currentPage = page || this.state.pageIndex

    queryNewsList(params).then(res=>{
      console.log(res,'queryNewsList')
      const { records, list, total, current, pages, size } = res || {}
      setPageList([...PageList, ...records])
    })

    // this.loadList(currentPage, pageSize).then(res => {
    //   const { records, list, total, current, pages, size } = res || {}
    //   const _list = records || list || []
    //   const newList = current <= 1 ? _list : this.state.list.concat(_list)
    //   console.log(res, '---res-------')
    //   const pageNum = Math.max(Taro.getStorageSync('newsPageIndex'), current)
    //   setPageList
    //   this.setState({
    //     list: newList,
    //     isEmpty: total == 0,
    //     hasMore: current * size < total,
    //     pageIndex: pageNum,
    //     // pageIndex: current >= pages ? pages : current,
    //   })
    // })
  }
  useEffect(()=>{
    loadData({page : 0, pageSize : 10})
  },[])

  return (
    <view className='Page newsList'>

      <ScrollView scroll-y={true} refresher-enabled={true} refresher-triggered={IsPull} onrefresherrefresh={PageRefresh} refresher-background='#fff'>
        <view className='PageContent'>

          {
            PageList.map((item, index) => (
              <NewsListItem data={item}></NewsListItem>
            ))
          }

          {/* bottom */}
          <view className='PageBottom'>
            <text>已经到底了~</text>
          </view>

        </view>
      </ScrollView>

    </view>
  )
})
